Index: issm/trunk-jpl/src/c/objects/IoModel.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/IoModel.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/IoModel.cpp	(revision 12494)
@@ -360,5 +360,5 @@
 
 					default: 
-						_error2_("" << "unknown record type:" << record_code); 
+						_error2_("unknown record type:" << record_code); 
 						break;;
 				}
@@ -428,5 +428,5 @@
 
 				default: 
-					_error2_("" << "unknown record type:" << record_code); 
+					_error2_("unknown record type:" << record_code); 
 					break;;
 				}
@@ -826,5 +826,5 @@
 
 			if(my_rank==0){  
-				if(fread(&M,sizeof(int),1,fid)!=1) _error2_("" << "could not read number of rows in " << i << "th matrix of matrix array");
+				if(fread(&M,sizeof(int),1,fid)!=1) _error2_("could not read number of rows in " << i << "th matrix of matrix array");
 			}
 			#ifdef _HAVE_MPI_
@@ -833,5 +833,5 @@
 
 			if(my_rank==0){  
-				if(fread(&N,sizeof(int),1,fid)!=1) _error2_("" << "could not read number of columns in " << i << "th matrix of matrix array");
+				if(fread(&N,sizeof(int),1,fid)!=1) _error2_("could not read number of columns in " << i << "th matrix of matrix array");
 			}
 			#ifdef _HAVE_MPI_
@@ -1137,5 +1137,5 @@
 			break; /*}}}*/
 		default: /*{{{*/
-			_error2_("" << "data code " << code << " not supported yet!");
+			_error2_("data code " << code << " not supported yet!");
 			break;
 			/*}}}*/
@@ -1228,5 +1228,5 @@
 #ifdef _HAVE_MPI_
 	MPI_Bcast(&found,1,MPI_INT,0,MPI_COMM_WORLD); 
-	if(!found)_error2_("" << "could not find data with name" << " " << EnumToStringx(data_enum) << " ");
+	if(!found)_error2_("could not find data with name" << " " << EnumToStringx(data_enum) << " ");
 #endif
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Attribute.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Attribute.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Attribute.h	(revision 12494)
@@ -30,11 +30,11 @@
 		virtual void  DeepEcho();
 		virtual void  DeepEcho(const char* indent);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_ColorStyle.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_ColorStyle.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_ColorStyle.h	(revision 12494)
@@ -35,11 +35,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Comment.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Comment.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Comment.h	(revision 12494)
@@ -30,11 +30,11 @@
 		virtual void  DeepEcho();
 		virtual void  DeepEcho(const char* indent);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Container.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Container.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Container.h	(revision 12494)
@@ -33,11 +33,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Document.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Document.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Document.h	(revision 12494)
@@ -30,11 +30,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Feature.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Feature.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Feature.h	(revision 12494)
@@ -44,11 +44,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_File.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_File.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_File.h	(revision 12494)
@@ -31,11 +31,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Folder.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Folder.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Folder.h	(revision 12494)
@@ -30,11 +30,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Geometry.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Geometry.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Geometry.h	(revision 12494)
@@ -29,11 +29,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_GroundOverlay.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_GroundOverlay.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_GroundOverlay.h	(revision 12494)
@@ -36,11 +36,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Icon.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Icon.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Icon.h	(revision 12494)
@@ -44,11 +44,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_LatLonBox.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_LatLonBox.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_LatLonBox.h	(revision 12494)
@@ -35,11 +35,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_LineString.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_LineString.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_LineString.h	(revision 12494)
@@ -38,11 +38,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_LineStyle.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_LineStyle.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_LineStyle.h	(revision 12494)
@@ -31,11 +31,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_LinearRing.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_LinearRing.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_LinearRing.h	(revision 12494)
@@ -38,11 +38,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_MultiGeometry.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_MultiGeometry.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_MultiGeometry.h	(revision 12494)
@@ -34,11 +34,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Object.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Object.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Object.h	(revision 12494)
@@ -31,11 +31,11 @@
 		virtual void  DeepEcho();
 		virtual void  DeepEcho(const char* indent);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Overlay.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Overlay.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Overlay.h	(revision 12494)
@@ -36,11 +36,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Placemark.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Placemark.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Placemark.h	(revision 12494)
@@ -34,11 +34,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Point.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Point.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Point.h	(revision 12494)
@@ -36,11 +36,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_PolyStyle.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_PolyStyle.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_PolyStyle.h	(revision 12494)
@@ -32,11 +32,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Polygon.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Polygon.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Polygon.h	(revision 12494)
@@ -40,11 +40,11 @@
 		void  Read(FILE* fid,char* kstr);
 		void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Style.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Style.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Style.h	(revision 12494)
@@ -38,11 +38,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
